Show / Hide Table of Contents

# ReadOnlyAsyncReactiveProperty<T> Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class ReadOnlyAsyncReactiveProperty<T> : IReadOnlyAsyncReactiveProperty<T>, IUniTaskAsyncEnumerable<T>, IDisposable

##### Inheritance

System.Object → ReadOnlyAsyncReactiveProperty<T>

##### Implements

IReadOnlyAsyncReactiveProperty<T>
IUniTaskAsyncEnumerable<T>
System.IDisposable

#### Type Parameters

`T`

### Members

#### Constructors

Name | Description
--- | ---
ReadOnlyAsyncReactiveProperty(T, IUniTaskAsyncEnumerable<T>, CancellationToken) |
ReadOnlyAsyncReactiveProperty(IUniTaskAsyncEnumerable<T>, CancellationToken) |

#### Properties

Name | Description
--- | ---
Value |

#### Methods

Name | Description
--- | ---
Dispose() |
GetAsyncEnumerator(CancellationToken) |
ToString() |
WaitAsync(CancellationToken) |
WithoutCurrent() |

#### Operators

Name | Description
--- | ---
Implicit(ReadOnlyAsyncReactiveProperty<T> to T) |

### Constructors

#### ReadOnlyAsyncReactiveProperty(T, IUniTaskAsyncEnumerable<T>, CancellationToken)

    public ReadOnlyAsyncReactiveProperty(T initialValue, IUniTaskAsyncEnumerable<T> source, CancellationToken cancellationToken)

##### Parameters

`initialValue` T
`source` IUniTaskAsyncEnumerable<T>
`cancellationToken` CancellationToken

#### ReadOnlyAsyncReactiveProperty(IUniTaskAsyncEnumerable<T>, CancellationToken)

    public ReadOnlyAsyncReactiveProperty(IUniTaskAsyncEnumerable<T> source, CancellationToken cancellationToken)

##### Parameters

`source` IUniTaskAsyncEnumerable<T>
`cancellationToken` CancellationToken

### Properties

#### Value

    public T Value { get; }

##### Property Value

T

### Methods

#### Dispose()

    public void Dispose()

#### GetAsyncEnumerator(CancellationToken)

    public IUniTaskAsyncEnumerator<T> GetAsyncEnumerator(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IUniTaskAsyncEnumerator<T>

#### ToString()

    public override string ToString()

##### Returns

System.String

##### Overrides

System.Object.ToString()

#### WaitAsync(CancellationToken)

    public UniTask<T> WaitAsync(CancellationToken cancellationToken = null)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<T>

#### WithoutCurrent()

    public IUniTaskAsyncEnumerable<T> WithoutCurrent()

##### Returns

IUniTaskAsyncEnumerable<T>

### Operators

#### Implicit(ReadOnlyAsyncReactiveProperty<T> to T)

    public static implicit operator T(ReadOnlyAsyncReactiveProperty<T> value)

##### Parameters

`value` ReadOnlyAsyncReactiveProperty<T>

##### Returns

T

### Implements

IReadOnlyAsyncReactiveProperty<T>
IUniTaskAsyncEnumerable<T>
System.IDisposable